# Source: https://github.com/catppuccin/catppuccin#-palette

from ..base import ColorPalette, Color

ROSEWATER = Color(
    "rosewater",
    (242, 213, 207),
    "#F2D5CF",
    (10, 57, 88)
)

FLAMINGO = Color(
    "flamingo",
    (238, 190, 190),
    "#EEBEBE",
    (0, 58, 83)
)

PINK = Color(
    "pink",
    (244, 184, 228),
    "#F4B8E4",
    (316, 73, 83)
)

MAUVE = Color(
    "mauve",
    (202, 158, 230),
    "#CA9EE6",
    (276, 59, 76)
)

RED = Color(
    "red",
    (231, 130, 132),
    "#E78284",
    (358, 67, 70)
)

MAROON = Color(
    "maroon",
    (234, 153, 156),
    "#EA999C",
    (357, 65, 75)
)

PEACH = Color(
    "peach",
    (239, 159, 118),
    "#EF9F76",
    (20, 79, 70)
)

YELLOW = Color(
    "yellow",
    (229, 200, 144),
    "#E5C890",
    (39, 62, 73)
)

GREEN = Color(
    "green",
    (166, 209, 137),
    "#A6D189",
    (95, 43, 67)
)

TEAL = Color(
    "teal",
    (129, 200, 190),
    "#81C8BE",
    (171, 39, 64)
)

SKY = Color(
    "sky",
    (153, 209, 219),
    "#99D1DB",
    (189, 47, 72)
)

SAPPHIRE = Color(
    "sapphire",
    (133, 193, 220),
    "#85C1DC",
    (198, 55, 69)
)

BLUE = Color(
    "blue",
    (140, 170, 238),
    "#8CAAEE",
    (221, 74, 74)
)

LAVENDER = Color(
    "lavender",
    (186, 187, 241),
    "#BABBF1",
    (238, 66, 83)
)

TEXT = Color(
    "text",
    (198, 208, 245),
    "#C6D0F5",
    (227, 70, 86)
)

SUBTEXT1 = Color(
    "subtext1",
    (181, 191, 226),
    "#B5BFE2",
    (226, 43, 79)
)

SUBTEXT0 = Color(
    "subtext0",
    (165, 173, 206),
    "#A5ADCE",
    (228, 29, 72)
)

OVERLAY2 = Color(
    "overlay2",
    (148, 156, 187),
    "#949CBB",
    (227, 22, 65)
)

OVERLAY1 = Color(
    "overlay1",
    (131, 139, 167),
    "#838BA7",
    (226, 16, 58)
)

OVERLAY0 = Color(
    "overlay0",
    (115, 121, 148),
    "#737994",
    (229, 13, 51)
)

SURFACE2 = Color(
    "surface2",
    (98, 104, 128),
    "#626880",
    (228, 13, 44)
)

SURFACE1 = Color(
    "surface1",
    (81, 87, 109),
    "#51576D",
    (227, 14, 37)
)

SURFACE0 = Color(
    "surface0",
    (65, 69, 89),
    "#414559",
    (229, 15, 30)
)

BASE = Color(
    "base",
    (48, 52, 70),
    "#303446",
    (229, 18, 23)
)

MANTLE = Color(
    "mantle",
    (41, 44, 60),
    "#292C3C",
    (230, 18, 19)
)

CRUST = Color(
    "crust",
    (35, 38, 52),
    "#232634",
    (229, 19, 17)
)

CatpuccinoFrappe = ColorPalette(
    name="Catpuccino Frappe",
    colors_list=[
        ROSEWATER,
        FLAMINGO,
        PINK,
        MAUVE,
        RED,
        MAROON,
        PEACH,
        YELLOW,
        GREEN,
        TEAL,
        SKY,
        SAPPHIRE,
        BLUE,
        LAVENDER,
        TEXT,
        SUBTEXT1,
        SUBTEXT0,
        OVERLAY2,
        OVERLAY1,
        OVERLAY0,
        SURFACE2,
        SURFACE1,
        SURFACE0,
        BASE,
        MANTLE,
        CRUST
    ]
)