# Source: https://github.com/catppuccin/catppuccin#-palette

from ..base import ColorPalette, Color

ROSEWATER = Color(
    "rosewater",
    (220, 138, 120),
    "#DC8A78",
    (10, 58, 66)
)

FLAMINGO = Color(
    "flamingo",
    (221, 120, 120),
    "#DD7878",
    (0, 59, 66)
)

PINK = Color(
    "pink",
    (234, 118, 203),
    "#EA76CB",
    (316, 73, 69)
)

MAUVE = Color(
    "mauve",
    (136, 57, 239),
    "#8839EF",
    (266, 85, 58)
)

RED = Color(
    "red",
    (210, 15, 57),
    "#D20F39",
    (347, 86, 44)
)

MAROON = Color(
    "maroon",
    (230, 69, 83),
    "#E64553",
    (354, 76, 58)
)

PEACH = Color(
    "peach",
    (254, 100, 11),
    "#FE640B",
    (21, 99, 51)
)

YELLOW = Color(
    "yellow",
    (223, 142, 29),
    "#DF8E1D",
    (34, 76, 49)
)

GREEN = Color(
    "green",
    (64, 160, 43),
    "#40A02B",
    (109, 57, 39)
)

TEAL = Color(
    "teal",
    (23, 146, 153),
    "#179299",
    (183, 73, 34)
)

SKY = Color(
    "sky",
    (4, 165, 229),
    "#04A5E5",
    (197, 96, 45)
)

SAPPHIRE = Color(
    "sapphire",
    (32, 159, 181),
    "#209FB5",
    (188, 69, 41)
)

BLUE = Color(
    "blue",
    (30, 102, 245),
    "#1E66F5",
    (219, 91, 53)
)

LAVENDER = Color(
    "lavender",
    (114, 135, 253),
    "#7287FD",
    (230, 97, 71)
)

TEXT = Color(
    "text",
    (76, 79, 105),
    "#4C4F69",
    (233, 16, 35)
)

SUBTEXT1 = Color(
    "subtext1",
    (92, 95, 119),
    "#5C5F77",
    (233, 12, 41)
)

SUBTEXT0 = Color(
    "subtext0",
    (108, 111, 133),
    "#6C6F85",
    (232, 10, 47)
)

OVERLAY2 = Color(
    "overlay2",
    (124, 127, 147),
    "#7C7F93",
    (232, 9, 53)
)

OVERLAY1 = Color(
    "overlay1",
    (140, 143, 161),
    "#8C8FA1",
    (231, 10, 59)
)

OVERLAY0 = Color(
    "overlay0",
    (156, 160, 176),
    "#9CA0B0",
    (228, 11, 65)
)

SURFACE2 = Color(
    "surface2",
    (172, 176, 190),
    "#ACB0BE",
    (226, 12, 70)
)

SURFACE1 = Color(
    "surface1",
    (188, 192, 204),
    "#BCC0CC",
    (225, 13, 76)
)

SURFACE0 = Color(
    "surface0",
    (204, 208, 218),
    "#CCD0DA",
    (222, 15, 82)
)

BASE = Color(
    "base",
    (239, 241, 245),
    "#EFF1F5",
    (220, 23, 94)
)

MANTLE = Color(
    "mantle",
    (230, 233, 239),
    "#E6E9EF",
    (220, 21, 91)
)

CRUST = Color(
    "crust",
    (220, 224, 232),
    "#DCE0E8",
    (220, 20, 88)
)

CatpuccinoLatte = ColorPalette(
    name="Catpuccino Latte",
    colors_list=[
        ROSEWATER,
        FLAMINGO,
        PINK,
        MAUVE,
        RED,
        MAROON,
        PEACH,
        YELLOW,
        GREEN,
        TEAL,
        SKY,
        SAPPHIRE,
        BLUE,
        LAVENDER,
        TEXT,
        SUBTEXT1,
        SUBTEXT0,
        OVERLAY2,
        OVERLAY1,
        OVERLAY0,
        SURFACE2,
        SURFACE1,
        SURFACE0,
        BASE,
        MANTLE,
        CRUST
    ]
)