# Source: https://github.com/catppuccin/catppuccin#-palette

from ..base import ColorPalette, Color

ROSEWATER = Color(
    "rosewater",
    (244, 219, 214),
    "#F4DBD6",
    (9, 57, 89)
)

FLAMINGO = Color(
    "flamingo",
    (240, 198, 198),
    "#F0C6C6",
    (0, 58, 85)
)

PINK = Color(
    "pink",
    (245, 189, 230),
    "#F5BDE6",
    (316, 73, 85)
)

MAUVE = Color(
    "mauve",
    (198, 160, 246),
    "#C6A0F6",
    (266, 82, 79)
)

RED = Color(
    "red",
    (237, 135, 150),
    "#ED8796",
    (351, 73, 72)
)

MAROON = Color(
    "maroon",
    (238, 153, 160),
    "#EE99A0",
    (355, 71, 76)
)

PEACH = Color(
    "peach",
    (245, 169, 127),
    "#F5A97F",
    (21, 85, 72)
)

YELLOW = Color(
    "yellow",
    (238, 212, 159),
    "#EED49F",
    (40, 69, 77)
)

GREEN = Color(
    "green",
    (166, 218, 149),
    "#A6DA95",
    (105, 48, 71)
)

TEAL = Color(
    "teal",
    (139, 213, 202),
    "#8BD5CA",
    (171, 46, 69)
)

SKY = Color(
    "sky",
    (145, 215, 227),
    "#91D7E3",
    (188, 59, 72)
)

SAPPHIRE = Color(
    "sapphire",
    (125, 196, 228),
    "#7DC4E4",
    (198, 65, 69)
)

BLUE = Color(
    "blue",
    (138, 173, 244),
    "#8AADF4",
    (220, 82, 74)
)

LAVENDER = Color(
    "lavender",
    (183, 189, 248),
    "#B7BDF8",
    (234, 82, 84)
)

TEXT = Color(
    "text",
    (202, 211, 245),
    "#CAD3F5",
    (227, 68, 87)
)

SUBTEXT1 = Color(
    "subtext1",
    (184, 192, 224),
    "#B8C0E0",
    (228, 39, 80)
)

SUBTEXT0 = Color(
    "subtext0",
    (165, 173, 203),
    "#A5ADCB",
    (227, 26, 72)
)

OVERLAY2 = Color(
    "overlay2",
    (147, 154, 183),
    "#939AB7",
    (228, 20, 64)
)

OVERLAY1 = Color(
    "overlay1",
    (128, 135, 162),
    "#8087A2",
    (227, 15, 56)
)

OVERLAY0 = Color(
    "overlay0",
    (110, 115, 141),
    "#6E738D",
    (230, 12, 49)
)

SURFACE2 = Color(
    "surface2",
    (91, 96, 120),
    "#5B6078",
    (229, 13, 41)
)

SURFACE1 = Color(
    "surface1",
    (73, 77, 100),
    "#494D64",
    (231, 15, 33)
)

SURFACE0 = Color(
    "surface0",
    (54, 58, 79),
    "#363A4F",
    (230, 18, 26)
)

BASE = Color(
    "base",
    (36, 39, 58),
    "#24273A",
    (231, 23, 18)
)

MANTLE = Color(
    "mantle",
    (30, 32, 48),
    "#1E2030",
    (233, 23, 15)
)

CRUST = Color(
    "crust",
    (24, 25, 38),
    "#181926",
    (235, 22, 12)
)

CatpuccinoMacchiato = ColorPalette(
    name="Catpuccino Macchiato",
    colors_list=[
        ROSEWATER,
        FLAMINGO,
        PINK,
        MAUVE,
        RED,
        MAROON,
        PEACH,
        YELLOW,
        GREEN,
        TEAL,
        SKY,
        SAPPHIRE,
        BLUE,
        LAVENDER,
        TEXT,
        SUBTEXT1,
        SUBTEXT0,
        OVERLAY2,
        OVERLAY1,
        OVERLAY0,
        SURFACE2,
        SURFACE1,
        SURFACE0,
        BASE,
        MANTLE,
        CRUST
    ]
)