# Source: https://github.com/catppuccin/catppuccin#-palette

from ..base import ColorPalette, Color

ROSEWATER = Color(
    "rosewater",
    (245, 224, 220),
    "#F5E0DC",
    (9, 55, 91)
)

FLAMINGO = Color(
    "flamingo",
    (242, 205, 205),
    "#F2CDCD",
    (0, 58, 87)
)

PINK = Color(
    "pink",
    (245, 194, 231),
    "#F5C2E7",
    (316, 71, 86)
)

MAUVE = Color(
    "mauve",
    (203, 166, 247),
    "#CBA6F7",
    (267, 83, 80)
)

RED = Color(
    "red",
    (243, 139, 168),
    "#F38BA8",
    (343, 81, 74)
)

MAROON = Color(
    "maroon",
    (235, 160, 172),
    "#EBA0AC",
    (350, 65, 77)
)

PEACH = Color(
    "peach",
    (250, 179, 135),
    "#FAB387",
    (22, 91, 75)
)

YELLOW = Color(
    "yellow",
    (249, 226, 175),
    "#F9E2AF",
    (41, 86, 83)
)

GREEN = Color(
    "green",
    (166, 227, 161),
    "#A6E3A1",
    (115, 54, 76)
)

TEAL = Color(
    "teal",
    (148, 226, 213),
    "#94E2D5",
    (170, 57, 73)
)

SKY = Color(
    "sky",
    (137, 220, 235),
    "#89DCEB",
    (189, 71, 72)
)

SAPPHIRE = Color(
    "sapphire",
    (116, 199, 236),
    "#74C7EC",
    (198, 75, 69)
)

BLUE = Color(
    "blue",
    (137, 180, 250),
    "#89B4FA",
    (217, 91, 75)
)

LAVENDER = Color(
    "lavender",
    (180, 190, 254),
    "#B4BEFE",
    (231, 97, 85)
)

TEXT = Color(
    "text",
    (205, 214, 244),
    "#CDD6F4",
    (226, 63, 88)
)

SUBTEXT1 = Color(
    "subtext1",
    (186, 194, 222),
    "#BAC2DE",
    (226, 35, 80)
)

SUBTEXT0 = Color(
    "subtext0",
    (166, 173, 200),
    "#A6ADC8",
    (227, 23, 71)
)

OVERLAY2 = Color(
    "overlay2",
    (147, 153, 178),
    "#9399B2",
    (228, 16, 63)
)

OVERLAY1 = Color(
    "overlay1",
    (127, 132, 156),
    "#7F849C",
    (229, 12, 55)
)

OVERLAY0 = Color(
    "overlay0",
    (108, 112, 134),
    "#6C7086",
    (230, 10, 47)
)

SURFACE2 = Color(
    "surface2",
    (88, 91, 112),
    "#585B70",
    (232, 12, 39)
)

SURFACE1 = Color(
    "surface1",
    (69, 71, 90),
    "#45475A",
    (234, 13, 31)
)

SURFACE0 = Color(
    "surface0",
    (49, 50, 68),
    "#313244",
    (236, 16, 22)
)

BASE = Color(
    "base",
    (30, 30, 46),
    "#1E1E2E",
    (240, 21, 14)
)

MANTLE = Color(
    "mantle",
    (24, 24, 37),
    "#181825",
    (240, 21, 11)
)

CRUST = Color(
    "crust",
    (17, 17, 27),
    "#11111B",
    (240, 22, 8)
)

CatpuccinoMocha = ColorPalette(
    name="Catpuccino Mocha",
    colors_list=[
        ROSEWATER,
        FLAMINGO,
        PINK,
        MAUVE,
        RED,
        MAROON,
        PEACH,
        YELLOW,
        GREEN,
        TEAL,
        SKY,
        SAPPHIRE,
        BLUE,
        LAVENDER,
        TEXT,
        SUBTEXT1,
        SUBTEXT0,
        OVERLAY2,
        OVERLAY1,
        OVERLAY0,
        SURFACE2,
        SURFACE1,
        SURFACE0,
        BASE,
        MANTLE,
        CRUST
    ]
)